Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.service
Class UDDISoapMessage

    java.lang.Object
      weblogic.uddi.client.service.UDDISoapMessage

public class UDDISoapMessage
extends Object

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UDDISoapMessage()`

Method Summary
`Document` | `createDOMDoc()`
`Element` | `getResult()`
`boolean` | `isFault()`
`Element` | `populateDOMElement(Document doc, SOAPElement soapElement)`
`SOAPElement` | `populateSOAPElement(SOAPEnvelope envelope, SOAPElement element, Element sndElement)`
`void` | `sendMessage(Element sndElement, String urlString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDDISoapMessage

    public UDDISoapMessage()

Method Detail

### createDOMDoc

    public Document createDOMDoc()
                          throws XML_SoapException

  Throws:
    `XML_SoapException`

### getResult

    public Element getResult()

### isFault

    public boolean isFault()

### populateDOMElement

    public Element populateDOMElement(Document doc,
                                      SOAPElement soapElement)
                               throws XML_SoapException

  Throws:
    `XML_SoapException`

### populateSOAPElement

    public SOAPElement populateSOAPElement(SOAPEnvelope envelope,
                                           SOAPElement element,
                                           Element sndElement)
                                    throws SOAPException

  Throws:
    `SOAPException`

### sendMessage

    public void sendMessage(Element sndElement,
                            String urlString)
                     throws XML_SoapException

  Throws:
    `XML_SoapException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD